﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CameraController : MonoBehaviour {
		public GameObject player; 	//public in order to be set within the Inspector
		Vector3 offset;				//empty vector3 to store the tarting position of the camera

		void Start () 
		{
			//let store the camera starting position in order to keep the same offset when the ball moves
			//offset = transform.position - player.transform.position;
			offset = transform.position;
		}

		void LateUpdate () 
		{
			transform.position = player.transform.position + offset; //updates the camera position as the ball moves 
		}
}
